=== added file 'src/com/goldencode/p2j/testengine/api/Disabled.java'
--- src/com/goldencode/p2j/testengine/api/Disabled.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/api/Disabled.java	2022-09-30 14:32:06 +0000
@@ -0,0 +1,74 @@
+/*
+** Module   : Disabled.java
+** Abstract : Mark methods, which should not be run as tests.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine.api;
+
+import java.lang.annotation.*;
+
+/**
+ * {@link Disabled} is used to mark methods, which should not be run as tests.
+ */
+@Target(ElementType.METHOD)
+@Retention(RetentionPolicy.RUNTIME)
+public @interface Disabled
+{
+   // no-op
+}

=== added file 'src/com/goldencode/p2j/testengine/api/SelectClasses.java'
--- src/com/goldencode/p2j/testengine/api/SelectClasses.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/api/SelectClasses.java	2022-09-30 13:14:57 +0000
@@ -0,0 +1,78 @@
+/*
+** Module   : SelectClasses.java
+** Abstract : Provides a list of Java classes for @Suite.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine.api;
+
+import java.lang.annotation.*;
+
+/**
+ * {@link SelectClasses} provides a list of Java classes for {@link Suite}.
+ */
+@Target(ElementType.TYPE)
+@Retention(RetentionPolicy.RUNTIME)
+public @interface SelectClasses
+{
+	/**
+	 * Class list.
+	 */
+	Class<?>[] value();
+
+}

=== added file 'src/com/goldencode/p2j/testengine/api/SelectProcedures.java'
--- src/com/goldencode/p2j/testengine/api/SelectProcedures.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/api/SelectProcedures.java	2022-10-28 14:04:27 +0000
@@ -0,0 +1,78 @@
+/*
+** Module   : SelectProcedures.java
+** Abstract : Provides a list of legacy procedure names for ABLUnit @TestSuite annotation.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine.api;
+
+import java.lang.annotation.*;
+
+/**
+ * {@link SelectProcedures} provides list of legacy procedure names for ABLUnit @TestSuite annotation.
+ */
+@Target(ElementType.TYPE)
+@Retention(RetentionPolicy.RUNTIME)
+public @interface SelectProcedures
+{
+	/**
+	 * Array of legacy procedure names.
+	 */
+	String[] value();
+
+}

=== added file 'src/com/goldencode/p2j/testengine/api/Suite.java'
--- src/com/goldencode/p2j/testengine/api/Suite.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/api/Suite.java	2022-09-30 12:24:07 +0000
@@ -0,0 +1,74 @@
+/*
+** Module   : Suite.java
+** Abstract : Mark classes, which should be used as test suites.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine.api;
+
+import java.lang.annotation.*;
+
+/**
+ * {@link Suite} is used to mark methods, which should be used as test suites.
+ */
+@Target(ElementType.TYPE)
+@Retention(RetentionPolicy.RUNTIME)
+public @interface Suite
+{
+   // no-op
+}

=== added file 'src/com/goldencode/p2j/testengine/api/Test.java'
--- src/com/goldencode/p2j/testengine/api/Test.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/api/Test.java	2022-09-30 11:15:12 +0000
@@ -0,0 +1,74 @@
+/*
+** Module   : Test.java
+** Abstract : Mark methods, which should be run as tests.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine.api;
+
+import java.lang.annotation.*;
+
+/**
+ * {@link Test} is used to mark methods, which should be run as tests.
+ */
+@Target({ ElementType.ANNOTATION_TYPE, ElementType.METHOD })
+@Retention(RetentionPolicy.RUNTIME)
+public @interface Test
+{
+   // no-op
+}

=== modified file 'src/com/goldencode/p2j/ui/client/UiUtils.java'
--- src/com/goldencode/p2j/ui/client/UiUtils.java	2022-10-11 14:53:34 +0000
+++ src/com/goldencode/p2j/ui/client/UiUtils.java	2022-10-28 13:27:20 +0000
@@ -111,6 +111,7 @@
 **     IAS 20220803 Fixed loop condition in 'resolveLocalFileResource'.
 **     EVL 20220809 Fixed issue with buildCanonicalUrl() on Windows server installation.
 **     ME  20220928 Added two methods to get widget container and top level window.
+**     VVT 2022xxxx NPE problem resolved in getTopLevelComponents(). See #6237.
 */
 
 /*
@@ -1469,7 +1470,10 @@
     */
    public static Widget<?>[] getTopLevelComponents(TopLevelWindow wnd)
    {
-      return wnd.getContentPane().widgets();
+      final Container contentPane = wnd.getContentPane();
+      return contentPane != null
+             ? contentPane.widgets()
+             : new Widget[0];
    }
 
    /**

=== modified file 'test/com/goldencode/p2j/comauto/TestComObject.java'
--- test/com/goldencode/p2j/comauto/TestComObject.java	2021-11-26 20:14:59 +0000
+++ test/com/goldencode/p2j/comauto/TestComObject.java	2022-09-30 12:02:26 +0000
@@ -2,11 +2,12 @@
 ** Module   : TestComObject.java
 ** Abstract : Testing of OCX call input parameter conversion.
 **
-** Copyright (c) 2021, Golden Code Development Corporation.
+** Copyright (c) 2021-2022, Golden Code Development Corporation.
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 VVT 20211125 Created initial version.
 **     VVT 20211126 A test for conversion decimal -> Object updated.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -62,12 +63,11 @@
 */
 package com.goldencode.p2j.comauto;
 
-import static org.junit.Assert.*;
-import static org.junit.jupiter.api.Assertions.assertEquals;
 import static com.goldencode.p2j.comauto.ComObject.convertInputParameter;
+import static org.junit.jupiter.api.Assertions.*;
 
 import java.time.*;
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 import com.goldencode.p2j.util.*;
 

=== modified file 'test/com/goldencode/p2j/testing/AbstractFWDTest.java'
--- test/com/goldencode/p2j/testing/AbstractFWDTest.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/testing/AbstractFWDTest.java	2022-09-30 12:02:37 +0000
@@ -12,6 +12,7 @@
 **                  Class members sorted.
 **     VVT 20210413 Javadoc fixed
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -67,9 +68,9 @@
 */
 package com.goldencode.p2j.testing;
 
-import static org.junit.Assert.*;
+import static org.junit.jupiter.api.Assertions.*;
 
-import org.junit.function.*;
+import org.junit.jupiter.api.function.*;
 
 import com.goldencode.p2j.*;
 import com.goldencode.p2j.util.*;
@@ -93,10 +94,9 @@
        *        the argument for the code
        * @throws ErrorConditionException
        */
-      void run(final T arg)
-      throws ErrorConditionException;
+      void run(final T arg) throws ErrorConditionException;
    }
-   
+
    /**
     * A helper method to check that code throws the OE error 14312.
     * 
@@ -106,8 +106,7 @@
     *        the format to pass to the code
     *        
     */
-   public final static void assertMustThrowError14312(final ErrorCode code,
-            final String format)
+   public final static void assertMustThrowError14312(final ErrorCode code, final String format)
    {
       assertMustThrowError(code, 14312, "Too many 'S' characters in format \"%s\"", format,
                format);
@@ -123,8 +122,7 @@
     *        the format to pass to the code
     *        
     */
-   public final static void assertMustThrowError154(final ErrorCode code,
-            final String format)
+   public final static void assertMustThrowError154(final ErrorCode code, final String format)
    {
       assertMustThrowError(code, 154, "Date format %s is incomplete", format, format);
    }
@@ -138,8 +136,7 @@
     *        the format to pass to the code
     *        
     */
-   public final static void assertMustThrowError164(final ErrorCode code,
-            final String format)
+   public final static void assertMustThrowError164(final ErrorCode code, final String format)
    {
       assertMustThrowError(code, 164, "Character format %s is incomplete", format, format);
    }
@@ -155,8 +152,8 @@
     * @param offendingCharIndex
     *        the index of the offending character
     */
-   public final static void assertMustThrowError22(final ErrorCode code,
-            final String format, final int offendingCharIndex)
+   public final static void assertMustThrowError22(final ErrorCode code, final String format,
+            final int offendingCharIndex)
    {
       assertMustThrowError(code, 22, "Character number %d of format %s is invalid", format,
                offendingCharIndex, format);
@@ -174,8 +171,8 @@
     *        the value to format
     *        
     */
-   public final static void assertMustThrowError74(final ErrorCode code,
-            final String format, final String value)
+   public final static void assertMustThrowError74(final ErrorCode code, final String format,
+            final String value)
    {
       assertMustThrowError(code, 74, "Value %s cannot be displayed using %s", format, value,
                format);
@@ -189,8 +186,7 @@
     * @param format
     *        the format to pass to the code
     */
-   protected final static void assertMustThrowError148(final ErrorCode code,
-            final String format)
+   protected final static void assertMustThrowError148(final ErrorCode code, final String format)
    {
       assertMustThrowError(code, 148, "Numeric format %s provides for no digits", format, format);
    }
@@ -261,11 +257,11 @@
     * @param args
     *        other arguments if the message format expects them
     */
-   private final static void assertMustThrowErrorConditional(final ThrowingRunnable code,
+   private final static void assertMustThrowErrorConditional(final Executable code,
             final int errorCodeExpected, final String expectedMessageFormat, Object... args)
    {
-      final ErrorConditionException exc = assertThrows("Must throw",
-               ErrorConditionException.class, code);
+      final ErrorConditionException exc = assertThrows(ErrorConditionException.class, code,
+               "Must throw");
       final Throwable cause = exc.getCause();
       assertTrue(cause instanceof NumberedException);
       NumberedException numbered = (NumberedException) cause;

=== modified file 'test/com/goldencode/p2j/testing/FormatTestSuite.java'
--- test/com/goldencode/p2j/testing/FormatTestSuite.java	2021-04-28 15:57:14 +0000
+++ test/com/goldencode/p2j/testing/FormatTestSuite.java	2022-09-30 12:02:49 +0000
@@ -10,6 +10,7 @@
 **     VVT 20210413 The set of the tests updated.
 **     VVT 20210426 The set of the tests updated after test classes were renamed.
 **     VVT 20210428 The set of the tests updated after test classes were renamed.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -65,8 +66,7 @@
 */
 package com.goldencode.p2j.testing;
 
-import org.junit.runner.*;
-import org.junit.runners.*;
+import org.junit.platform.suite.api.*;
 
 import com.goldencode.p2j.ui.client.format.*;
 import com.goldencode.p2j.util.*;
@@ -74,22 +74,13 @@
 /**
  * Test suite for parsing 4gl formats.
  */
-@RunWith(Suite.class)
-@Suite.SuiteClasses({
-   TestLogicalSplitformat.class,
-   TestCharacterToStringFormatted.class,
-   TestCharacterFormatParser.class,
-   TestCharacterFormatter.class,
-   TestCharacterPreprocessFormatString.class,
-   TestCharacterValueOf.class,
-   TestDateFormatting.class,
-   TestDateFormatParse.class,
-   TestDatetimeFormatting.class,
-   TestDatetimeFormatParsing.class,
-   TestNumberTypeParseFormat.class,
-   TestRowid.class,
-   TestStringFormatParse.class
-})
+@Suite
+@SelectClasses(value = { TestLogicalSplitformat.class, TestCharacterToStringFormatted.class,
+         TestCharacterFormatParser.class, TestCharacterFormatter.class,
+         TestCharacterPreprocessFormatString.class, TestCharacterValueOf.class,
+         TestDateFormatting.class, TestDateFormatParse.class, TestDatetimeFormatting.class,
+         TestDatetimeFormatParsing.class, TestNumberTypeParseFormat.class, TestRowid.class,
+         TestStringFormatParse.class })
 public class FormatTestSuite
 {
    // empty

=== modified file 'test/com/goldencode/p2j/ui/client/format/TestDatetimeFormatParsing.java'
--- test/com/goldencode/p2j/ui/client/format/TestDatetimeFormatParsing.java	2021-11-25 18:47:40 +0000
+++ test/com/goldencode/p2j/ui/client/format/TestDatetimeFormatParsing.java	2022-09-30 12:03:04 +0000
@@ -9,6 +9,7 @@
 **     VVT 20210428 Javadocs fixed.
 **     VVT 20211123 Missing Javadocs and annotations added.
 **     VVT 20211125 Typo in javadocs fixed.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -64,11 +65,11 @@
 */
 package com.goldencode.p2j.ui.client.format;
 
-import static org.junit.Assert.*;
+import static org.junit.jupiter.api.Assertions.*;
 
 import java.lang.reflect.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 import com.goldencode.p2j.util.*;
 

=== modified file 'test/com/goldencode/p2j/ui/client/format/TestStringFormatParse.java'
--- test/com/goldencode/p2j/ui/client/format/TestStringFormatParse.java	2021-04-08 18:56:52 +0000
+++ test/com/goldencode/p2j/ui/client/format/TestStringFormatParse.java	2022-09-30 12:03:15 +0000
@@ -10,6 +10,7 @@
 **     VVT 20210408 Re-usable inherited tests added. Test methods got better names. See #4880.
 **                  Obsolete comments removed for already fixed problems.
 **                  Class members sorted.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -65,9 +66,9 @@
 */
 package com.goldencode.p2j.ui.client.format;
 
-import static org.junit.Assert.assertNotNull;
+import static org.junit.jupiter.api.Assertions.assertNotNull;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 import com.goldencode.p2j.util.*;
 

=== modified file 'test/com/goldencode/p2j/util/AbstractCharacterFormatTest.java'
--- test/com/goldencode/p2j/util/AbstractCharacterFormatTest.java	2021-04-28 15:57:14 +0000
+++ test/com/goldencode/p2j/util/AbstractCharacterFormatTest.java	2022-09-30 12:03:26 +0000
@@ -8,6 +8,7 @@
 ** 001 VVT 20210408 Created initial version.
 **     VVT 20210426 Test methods sorted.
 **     VVT 20210428 Unused imports removed.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -63,7 +64,7 @@
 */
 package com.goldencode.p2j.util;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * This class provides common methods and data for all character parsing/formatting tests.

=== modified file 'test/com/goldencode/p2j/util/AbstractDateFormatTest.java'
--- test/com/goldencode/p2j/util/AbstractDateFormatTest.java	2021-09-17 15:14:10 +0000
+++ test/com/goldencode/p2j/util/AbstractDateFormatTest.java	2022-09-30 12:03:35 +0000
@@ -8,6 +8,7 @@
 ** 001 VVT 20210413 Created initial version.
 **     VVT 20210426 Code style fixed.
 **     VVT 20210917 Javadoc fixed. 
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -65,7 +66,7 @@
 
 import java.util.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 import com.goldencode.p2j.ui.client.format.*;
 

=== modified file 'test/com/goldencode/p2j/util/AbstractDatetimeFormatTest.java'
--- test/com/goldencode/p2j/util/AbstractDatetimeFormatTest.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/AbstractDatetimeFormatTest.java	2022-09-30 12:03:43 +0000
@@ -9,6 +9,7 @@
 **     VVT 20210427 This class moved to more appropriate package.
 **     VVT 20210428 Unused makeDatatimeFormat() method removed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -64,7 +65,7 @@
 */
 package com.goldencode.p2j.util;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Datetime-related tests helper class

=== modified file 'test/com/goldencode/p2j/util/AbstractLogicalFormatParseTest.java'
--- test/com/goldencode/p2j/util/AbstractLogicalFormatParseTest.java	2021-04-28 15:57:14 +0000
+++ test/com/goldencode/p2j/util/AbstractLogicalFormatParseTest.java	2022-09-30 12:03:55 +0000
@@ -6,6 +6,7 @@
 **
 ** -#- -I- --Date-- ---------------------------------Description---------------------------------
 ** 001 VVT 20210428 Created initial version.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -61,7 +62,7 @@
 */
 package com.goldencode.p2j.util;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Common methods and data for all OE logical values parsing/formatting tests.

=== modified file 'test/com/goldencode/p2j/util/AbstractNumberFormatParseTest.java'
--- test/com/goldencode/p2j/util/AbstractNumberFormatParseTest.java	2021-11-23 20:02:38 +0000
+++ test/com/goldencode/p2j/util/AbstractNumberFormatParseTest.java	2022-09-30 12:04:06 +0000
@@ -12,6 +12,7 @@
 **                  Methods were given mode matching names.
 **     VVT 20210428 Imports statements fixed.
 **     VVT 20211123 Missing Javadocs and annotations added.
+**     VVT 2022xxxx Refactored to make tests pure JUnit5. See #6237.
 */
 /*
 ** This program is free software: you can redistribute it and/or modify
@@ -69,7 +70,7 @@
 
 import java.math.*;
 
-import org.junit.*;
+import org.junit.jupiter.api.*;
 
 /**
  * Common fields and methods for testing 4gl number formats.

